Chromium Code Reviews
Help | Chromium Project | Sign in
(100)

Issue 11366215: Prevents windows in chromeos from resizing bigger than their maximum size. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 4 months ago by koz (OOO until 15th September)
Modified:
2 years, 4 months ago
Reviewers:
jeremya, sky
CC:
chromium-reviews, sadrul, yusukes+watch_chromium.org, ben+watch_chromium.org, tfarina, jam, penghuang+watch_chromium.org, joi+watch-content_chromium.org, darin-cc_chromium.org, James Su, jeremya, benwells, tapted
Visibility:
Public.

Description

Makes windows obey their maximum size constraints on chromeos. - Prevents windows from resizing bigger than their max size - Prevents windows from snapping when they have max size defined - Prevents windows from maximizing when they have max size defined BUG=152065 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=168447 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=169402

Patch Set 1 #

Patch Set 2 : prevent maximising for windows with maximum_size defined #

Patch Set 3 : prevent windows with max_size set from snapping to the edge #

Patch Set 4 : fix comments #

Total comments: 4

Patch Set 5 : respond to comments #

Patch Set 6 : Add extra unit test #

Patch Set 7 : rebase #

Patch Set 8 : fix aura demo #

Patch Set 9 : unrevert / rebase #

Patch Set 10 : fix DesktopNativeWidgetAura #

Unified diffs Side-by-side diffs Delta from patch set Stats (+121 lines, -1 line) Patch
M ash/wm/custom_frame_view_ash.h View 1 chunk +1 line, -0 lines 0 comments Download
M ash/wm/custom_frame_view_ash.cc View 1 2 3 4 5 6 1 chunk +4 lines, -0 lines 0 comments Download
M ash/wm/frame_painter.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M ash/wm/frame_painter.cc View 1 2 3 4 5 6 7 8 1 chunk +4 lines, -0 lines 0 comments Download
M ash/wm/window_resizer.cc View 1 2 3 4 2 chunks +6 lines, -0 lines 0 comments Download
M ash/wm/window_util.h View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M ash/wm/window_util.cc View 1 2 3 4 2 chunks +6 lines, -0 lines 0 comments Download
M ash/wm/workspace/workspace_window_resizer.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M ash/wm/workspace/workspace_window_resizer.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M ash/wm/workspace/workspace_window_resizer_unittest.cc View 1 2 3 4 5 2 chunks +58 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/extensions/shell_window_views.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/render_widget_host_view_aura.h View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_view_aura.cc View 1 2 3 4 5 6 7 8 1 chunk +4 lines, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_view_aura.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_view_aura.cc View 1 2 3 4 5 6 7 8 1 chunk +4 lines, -0 lines 0 comments Download
M ui/aura/demo/demo_main.cc View 1 2 3 4 5 6 7 1 chunk +5 lines, -0 lines 0 comments Download
M ui/aura/test/test_window_delegate.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M ui/aura/test/test_window_delegate.cc View 1 2 1 chunk +4 lines, -0 lines 0 comments Download
M ui/aura/window_delegate.h View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -0 lines 0 comments Download
M ui/views/widget/desktop_aura/desktop_native_widget_aura.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/widget/desktop_aura/desktop_native_widget_aura.cc View 1 2 3 4 5 6 7 8 9 1 chunk +4 lines, -0 lines 0 comments Download
M ui/views/widget/native_widget_aura.h View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/widget/native_widget_aura.cc View 1 2 3 4 5 6 7 8 1 chunk +4 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 20 (0 generated)
koz (OOO until 15th September)
2 years, 4 months ago (2012-11-13 06:08:38 UTC) #1
sky
You also need to deal with window snapping and layout of attached windows. I'm adding ...
2 years, 4 months ago (2012-11-13 17:29:40 UTC) #2
koz (OOO until 15th September)
On 2012/11/13 17:29:40, sky wrote: > You also need to deal with window snapping and ...
2 years, 4 months ago (2012-11-14 00:42:38 UTC) #3
Mr4D
My CL has landed now. I have seen that a constraint for the minimum size ...
2 years, 4 months ago (2012-11-14 01:09:32 UTC) #4
sky
If you're going to fix the attached case and snapping code soon after, I'm ok ...
2 years, 4 months ago (2012-11-14 02:40:27 UTC) #5
sky
That said, you do need some test coverage in this patch.
2 years, 4 months ago (2012-11-14 02:40:48 UTC) #6
koz (OOO until 15th September)
On 2012/11/14 02:40:48, sky wrote: > That said, you do need some test coverage in ...
2 years, 4 months ago (2012-11-14 06:24:26 UTC) #7
sky
LGTM - follow up with Stefan to make sure one of you deal with the ...
2 years, 4 months ago (2012-11-14 14:55:09 UTC) #8
jeremya
https://codereview.chromium.org/11366215/diff/6014/ash/wm/window_resizer.cc File ash/wm/window_resizer.cc (right): https://codereview.chromium.org/11366215/diff/6014/ash/wm/window_resizer.cc#newcode328 ash/wm/window_resizer.cc:328: if (!max_size.IsEmpty()) Perhaps you only want to check the ...
2 years, 4 months ago (2012-11-15 01:12:43 UTC) #9
koz (OOO until 15th September)
https://codereview.chromium.org/11366215/diff/6014/ash/wm/window_resizer.cc File ash/wm/window_resizer.cc (right): https://codereview.chromium.org/11366215/diff/6014/ash/wm/window_resizer.cc#newcode328 ash/wm/window_resizer.cc:328: if (!max_size.IsEmpty()) On 2012/11/15 01:12:43, jeremya wrote: > Perhaps ...
2 years, 4 months ago (2012-11-15 02:46:12 UTC) #10
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/koz@chromium.org/11366215/14001
2 years, 4 months ago (2012-11-15 02:58:41 UTC) #11
I haz the power (commit-bot)
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
2 years, 4 months ago (2012-11-15 03:39:58 UTC) #12
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/koz@chromium.org/11366215/15001
2 years, 4 months ago (2012-11-15 23:24:57 UTC) #13
I haz the power (commit-bot)
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
2 years, 4 months ago (2012-11-16 00:04:31 UTC) #14
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/koz@chromium.org/11366215/18002
2 years, 4 months ago (2012-11-16 01:26:16 UTC) #15
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/koz@chromium.org/11366215/18002
2 years, 4 months ago (2012-11-17 14:14:40 UTC) #16
I haz the power (commit-bot)
Change committed as 168447
2 years, 4 months ago (2012-11-17 15:57:22 UTC) #17
jeremya
re-opening because this got reverted.
2 years, 4 months ago (2012-11-22 01:34:33 UTC) #18
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/koz@chromium.org/11366215/26004
2 years, 4 months ago (2012-11-26 02:06:08 UTC) #19
I haz the power (commit-bot)
2 years, 4 months ago (2012-11-26 04:11:40 UTC) #20
Message was sent while issue was closed.
Change committed as 169402
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cf4c24d